Debian Bug report logs - #468196
sepia: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: sepia; Maintainer for sepia is Hilko Bengen <bengen@debian.org>; Source for sepia is src:sepia.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Wed, 27 Feb 2008 16:24:08 UTC

Severity: important

Tags: patch

Found in version sepia/0.96-2

Fixed in version sepia/0.96-2.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Hilko Bengen <bengen@debian.org>:
Bug#468196; Package sepia. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Hilko Bengen <bengen@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: sepia: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Wed, 27 Feb 2008 18:21:06 +0200
Package: sepia
Version: 0.96-2
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Hilko Bengen <bengen@debian.org>:
Bug#468196; Package sepia. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Hilko Bengen <bengen@debian.org>. Full text and rfc822 format available.

Message #10 received at 468196@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468196@bugs.debian.org
Subject: sepia: diff for NMU version 0.96-2.1
Date: Sat, 5 Apr 2008 13:46:31 +0100
[Message part 1 (text/plain, inline)]
tags 468196 + patch
thanks

Hi,

Attached is the diff for my sepia 0.96-2.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[sepia-0.96-2.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 12:48:06 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 468196-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 468196-close@bugs.debian.org
Subject: Bug#468196: fixed in sepia 0.96-2.1
Date: Sat, 05 Apr 2008 13:03:06 +0000
Source: sepia
Source-Version: 0.96-2.1

We believe that the bug you reported is fixed in the latest version of
sepia, which is due to be installed in the Debian FTP archive:

sepia_0.96-2.1.diff.gz
  to pool/main/s/sepia/sepia_0.96-2.1.diff.gz
sepia_0.96-2.1.dsc
  to pool/main/s/sepia/sepia_0.96-2.1.dsc
sepia_0.96-2.1_all.deb
  to pool/main/s/sepia/sepia_0.96-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468196@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated sepia package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 13:34:38 +0100
Source: sepia
Binary: sepia
Architecture: source all
Version: 0.96-2.1
Distribution: unstable
Urgency: low
Maintainer: Hilko Bengen <bengen@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 sepia      - Simple Emacs-Perl InterAction
Closes: 468196
Changes: 
 sepia (0.96-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #468196
   * Add Build-Dependencies to prevent the build system from falling back
     to using CPAN interactively during build
Files: 
 acff551ae603861196df24a0ac4f0d1c 746 perl optional sepia_0.96-2.1.dsc
 a772a51962f6492b89ada785e715b04e 19517 perl optional sepia_0.96-2.1.diff.gz
 245ccc7d000fb7dd15ae6060ac409fa1 91374 perl optional sepia_0.96-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH93RINIW6CNDsByMRAhjNAKDXVbO4rMi3jMXsoE+j2tRj66+eBwCg0x1v
WHT+WsQlRRxI7e8VqaLaJkw=
=gq4t
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:56:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:06:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.